Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | Related Pages

# SoScale2UniformDragger Class Reference
[Draggers]

`#include <Inventor/draggers/SoScale2UniformDragger.h>`

Inheritance diagram for SoScale2UniformDragger:

List of all members.

## Detailed Description

The SoScale2UniformDragger class provides a mechanism for the end-user to scale in two dimensions.

Here's how the dragger looks with it's default geometry in the inactive state:

Use this dragger to allow the end-user of your application to scale along the X-axis and the Y-axis. (Use a transformation node in front of the dragger to position it and re-orient it to scale in any plane.)

Scaling with this dragger can only be done in a uniform manner, ie the X component of the SoScale2UniformDragger::scaleFactor will always equal the Y component.

For non-uniform scaling operations in 2 dimensions, use the SoScale2Dragger.

See also:
  SoScaleUniformDragger

## Public Member Functions
| SoScale2UniformDragger (void)
## Static Public Member Functions
void | initClass (void)
## Public Attributes
SoSFVec3f | scaleFactor
## Protected Member Functions
| ~SoScale2UniformDragger ()
virtual SbBool | setUpConnections (SbBool onoff, SbBool doitalways=FALSE)
void | dragStart (void)
void | drag (void)
void | dragFinish (void)
## Static Protected Member Functions
void | startCB (void *f, SoDragger *d)
void | motionCB (void *f, SoDragger *d)
void | finishCB (void *f, SoDragger *d)
void | fieldSensorCB (void *f, SoSensor *s)
void | valueChangedCB (void *f, SoDragger *d)
## Protected Attributes
SoFieldSensor * | fieldSensor
SbLineProjector * | lineProj

## Constructor & Destructor Documentation

SoScale2UniformDragger::SoScale2UniformDragger | ( | void |  | ) |

| Default constructor, sets up the dragger nodekit catalog with the interaction and feedback geometry. Node kit structure (new entries versus parent class marked with arrow prefix):
      CLASS SoScale2UniformDragger
      -->"this"
            "callbackList"
            "topSeparator"
               "motionMatrix"
               "geomSeparator"
      -->         "scalerSwitch"
      -->            "scaler"
      -->            "scalerActive"
      -->         "feedbackSwitch"
      -->            "feedback"
      -->            "feedbackActive"
(See SoBaseKit::printDiagram() for information about the output formatting.) Detailed information on catalog parts:
      CLASS SoScale2UniformDragger
      PVT   "this",  SoScale2UniformDragger  ---
            "callbackList",  SoNodeKitListPart [ SoCallback, SoEventCallback ]
      PVT   "topSeparator",  SoSeparator  ---
      PVT   "motionMatrix",  SoMatrixTransform  ---
      PVT   "geomSeparator",  SoSeparator  ---
      PVT   "scalerSwitch",  SoSwitch  ---
            "scaler",  SoSeparator  ---
            "scalerActive",  SoSeparator  ---
      PVT   "feedbackSwitch",  SoSwitch  ---
            "feedback",  SoSeparator  ---
            "feedbackActive",  SoSeparator  ---
(See SoBaseKit::printTable() for information about the output formatting.)

SoScale2UniformDragger::~SoScale2UniformDragger | ( |  | ) | `[protected]`

| Protected destructor. (Dragger classes are derived from SoBase, so they are reference counted and automatically destroyed when their reference count goes to 0.)

## Member Function Documentation

void SoScale2UniformDragger::initClass | ( | void |  | ) | `[static]`

| Initializes type system for this dragger class. Application programmers should usually not have to invoke this method, see documentation of SoInteraction::init(). Reimplemented from SoDragger.

SbBool SoScale2UniformDragger::setUpConnections | ( | SbBool | onoff,
|  | SbBool | doitalways = FALSE
| ) | `[protected, virtual]`

| Sets up all internal connections for instances of this class. (This method will usually not be of interest to the application programmer, unless you want to extend the library with new custom nodekits or dragger classes. If so, see the SoBaseKit class documentation.) Reimplemented from SoInteractionKit.

void SoScale2UniformDragger::startCB | ( | void * | f,
|  | SoDragger * | d
| ) | `[static, protected]`

| This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

void SoScale2UniformDragger::motionCB | ( | void * | f,
|  | SoDragger * | d
| ) | `[static, protected]`

| This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

void SoScale2UniformDragger::finishCB | ( | void * | f,
|  | SoDragger * | d
| ) | `[static, protected]`

| This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

void SoScale2UniformDragger::fieldSensorCB | ( | void * | d,
|  | SoSensor * | s
| ) | `[static, protected]`

| This API member is considered internal to the library, as it is not likely to be of interest to the application programmer. Reimplemented from SoInteractionKit.

void SoScale2UniformDragger::valueChangedCB | ( | void * | f,
|  | SoDragger * | d
| ) | `[static, protected]`

| This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

void SoScale2UniformDragger::dragStart | ( | void |  | ) | `[protected]`

| This API member is considered internal to the library, as it is not likely to be of interest to the application programmer. Called when dragger is selected (picked) by the user.

void SoScale2UniformDragger::drag | ( | void |  | ) | `[protected]`

| This API member is considered internal to the library, as it is not likely to be of interest to the application programmer. Called when user drags the mouse after picking the dragger.

void SoScale2UniformDragger::dragFinish | ( | void |  | ) | `[protected]`

| This API member is considered internal to the library, as it is not likely to be of interest to the application programmer. Called when mouse button is released after picking and interacting with the dragger.

## Member Data Documentation

SoSFVec3f SoScale2UniformDragger::scaleFactor

| Continuously updated to contain the current vector of scaling along the X, Y and Z axes. For the SoScale2UniformDragger, only the X and Y components are used, the Z component will always be equal to 1 (ie no scaling).

SoFieldSensor * SoScale2UniformDragger::fieldSensor`[protected]`

| This API member is considered internal to the library, as it is not likely to be of interest to the application programmer. Reimplemented from SoInteractionKit.

SbLineProjector * SoScale2UniformDragger::lineProj`[protected]`

| This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

The documentation for this class was generated from the following files:

- SoScale2UniformDragger.h
- SoScale2UniformDragger.cpp